%global momorel 1
%global md5sum_src0 69827311733e39fafa9f77bb05e55b77

Summary: Library that can be used by applications to access various digital cameras
Name: libgphoto2
Version: 2.2.1
Release: %{momorel}m
License: LGPL
URL: http://www.gphoto.org/
Group: Development/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/gphoto/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source2: 90-gphoto-camera-policy.fdi
Source3: gphoto-set-procperm
Patch0: gphoto2-gcc4.patch
Patch1: gphoto2-2.1.99-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: grep, fileutils
Requires: lockdev, hal
BuildPreReq: gtk-doc
BuildPreReq: libtool
BuildPreReq: libexif-devel >= 0.6.12
BuildPreReq: libusb-devel >= 0.1.6a
BuildPreReq: transfig 
BuildPreReq: cmpskit
BuildPreReq: openjade
BuildPreReq: lockdev-devel

%description
libgphoto2 itself is not a GUI application, opposed to gphoto. There are
GUI frontends for the gphoto2 library, however, such as gtkam for
example.

libgphoto2 can only talk to cameras the language of those it understands.
That is, if you own a camera that speaks a language that isn't published
anywhere and nobody has been able to figure out the meaning of the sentences,
libgphoto2 cannot communicate with those cameras.

%package devel
Summary: Headers and links to compile against the libgphoto2 library.
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Obsoletes: gphoto2-devel
Group: Development/Libraries

%description devel
This package contains the files needed to compile applications that
use libgphoto2.

%prep
%setup -q

%patch0 -p2 -b .gcc4
%patch1 -p2 -b .config

# build fix
ln -s . libgphoto2/gphoto2
ln -s . libgphoto2_port/libgphoto2_port/gphoto2

%build
%configure --with-drivers=all --with-doc-dir=%{_docdir}/%{name}
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

pushd packaging/linux-hotplug/
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/20thirdparty
export LIBDIR=%{buildroot}%{_libdir}
export CAMLIBS=%{buildroot}%{_libdir}/%{name}/%{version}
./print-usb-usermap --fdi | grep -v "<!-- This file was generated" > %{buildroot}%{_datadir}/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
popd

mkdir -p %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty
install -m 755 %{SOURCE2} %{buildroot}%{_datadir}/hal/fdi/policy/20thirdparty/90-gphoto-camera-policy.fdi

mkdir -p -m 755 %{buildroot}%{_libexecdir}
install -m 755 %{SOURCE3} %{buildroot}%{_libexecdir}/gphoto-set-procperm

cp -a %{buildroot}%{_docdir}/%{name} installed-doc
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS CHANGES COPYING ChangeLog HACKING
%doc INSTALL MAINTAINERS NEWS README TESTERS
%doc doc/DAEMON 
%{_libdir}/libgphoto2
%{_libdir}/libgphoto2_port
%{_libdir}/*.so.*
%{_libexecdir}/gphoto-set-procperm
%{_datadir}/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi
%{_datadir}/hal/fdi/policy/20thirdparty/90-gphoto-camera-policy.fdi
%{_datadir}/libgphoto2
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_mandir}/man3/libgphoto2.3*
%{_mandir}/man3/libgphoto2_port.3*

%files devel
%defattr(-,root,root)
%doc installed-doc
%{_bindir}/gphoto2-config
%{_bindir}/gphoto2-port-config
%{_includedir}/gphoto2
%{_libdir}/pkgconfig/libgphoto2.pc
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Jul 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.1-1m)
- version 2.2.1

* Sun Jun 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-1m)
- version 2.2.0
- import gphoto2-gcc4.patch from Fedora Core devel
- import gphoto2-2.1.99-config.patch from Fedora Core devel

* Sun Jun 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.6-3m)
- revise 10-camera-libgphoto2.fdi

* Sun Jun 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.6-2m)
- remove PreReq: hotplug
- import following 3 sources from Fedora Core devel
  gen-libgphoto-hal-fdi
  90-gphoto-camera-policy.fdi
  gphoto-set-procperm

* Sun May 21 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.6-1m)
- update to 2.1.6
- delete patch1

* Wed May  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.1.5-4m)
- disable document

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.5-3m)
- rebuild against libexif-0.6.12-1m

* Fri Feb  4 2005 Toru Hoshina <t@momonga-linux.org>
- (2.1.5-2m)
- enable x86_64.

* Thu Jan 20 2005 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.5-1m)
- version 2.1.5
- remove libgphoto2-ac_fix.patch
- gphoto2-hotplug.patch (fedora 2.1.4-5)
- use lockdev (BuildPreReq, Requires)
- clean up %%build section

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (2.1.4-2m)
- revised spec for enabling rpm 4.2.

* Sat Jan 24 2004 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.4-1m)
- version 2.1.4
- remove libgphoto2-2.1.3-makefile_am.patch

* Fri Oct 31 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.3-3m)
- version 2.1.3
- add libgphoto2-2.1.3-makefile_am.patch

* Fri Sep 26 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.2-2m)
- modify %%build section
- add libgphoto2-ac_fix.patch from PLD
- add print-usb-usermap to %%files
- add %%post

* Fri Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.1.2-1m)
- version 2.1.2

* Wed Aug 6 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.1-3m)
- rebuild against for libexif-0.5.12
- use %%NoSource macro
- %%define momorel

* Thu Feb 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-2m)
- rebuild against for libexif

* Mon Dec 9 2002 Yuya Yamaguchi <bebe@momonga-linux.org>
- (2.1.1-1m)
- New packages
- gphoto2 command line interface was split from the libgphoto2 library
